#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityNationalDayDrawLotteryData
{
	//编号
	int mID;
	//类型
	int mType;
	//奖励
	std::vector<int> mItemId;
	//数量
	std::vector<int> mNumber;
	//权重
	int mWeight;
	//显示标签
	int mDisplayLabel;
};

class M_ActivityNationalDayDrawLottery
{
public:
private:
	static std::auto_ptr<M_ActivityNationalDayDrawLottery> msSingleton;
public:
	int GetCount();
	const M_ActivityNationalDayDrawLotteryData* GetData(int ID);
	boost::unordered_map<int, M_ActivityNationalDayDrawLotteryData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityNationalDayDrawLottery* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityNationalDayDrawLotteryData> mMapData;
};
